package data.readraw;

import java.io.IOException;
import java.io.InputStream;
import android.app.Activity;
import android.os.Bundle;
import android.util.Log;
import android.os.Build;

public class MainActivity extends Activity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		String LOG_APP_TAG = "tag";
		String str = null;
		InputStream inputStream = null;		 
		try {
		   inputStream = getResources().openRawResource(R.raw.hello);
		   byte[] reader = new byte[inputStream.available()];;
		   while (inputStream.read(reader) != -1) {}
		   str = new String ( reader );
		   System.out.println ( str );
		 }  catch(IOException e) {
            Log.e(LOG_APP_TAG, e.getMessage());
         }
	}	
}